"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringType = void 0;
exports.string = string;
exports.number = number;
const cities_json_1 = __importDefault(require("./data/cities.json"));
const countries_json_1 = __importDefault(require("./data/countries.json"));
const names_json_1 = __importDefault(require("./data/names.json"));
const lasts_json_1 = __importDefault(require("./data/lasts.json"));
const phone_codes_json_1 = __importDefault(require("./data/phone-codes.json"));
const us_states_json_1 = __importDefault(require("./data/us-states.json"));
var StringType;
(function (StringType) {
    StringType[StringType["GibberishLetters"] = 0] = "GibberishLetters";
    StringType[StringType["GibberishNumbers"] = 1] = "GibberishNumbers";
    StringType[StringType["Gibberish"] = 2] = "Gibberish";
    StringType[StringType["FirstName"] = 3] = "FirstName";
    StringType[StringType["LastName"] = 4] = "LastName";
    StringType[StringType["City"] = 5] = "City";
    StringType[StringType["Country"] = 6] = "Country";
    StringType[StringType["Email"] = 7] = "Email";
    StringType[StringType["USState"] = 8] = "USState";
    StringType[StringType["PhoneNumber"] = 9] = "PhoneNumber";
})(StringType || (exports.StringType = StringType = {}));
function gibberish(length) {
    return Array.from({ length }, () => Math.floor(Math.random() * 36).toString(36)).join('');
}
function gibberishLetters(length) {
    const alphabet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
    return Array.from({ length }, () => alphabet[Math.floor(Math.random() * alphabet.length)]).join('');
}
function gibberishNumbers(length) {
    return Array.from({ length }, () => Math.floor(Math.random() * 10).toString(36)).join('');
}
function randomOption(options) {
    return options[Math.floor(Math.random() * options.length)];
}
function string(type = StringType.Gibberish, gibberishLength = 36) {
    switch (type) {
        case StringType.Gibberish:
            return gibberish(gibberishLength);
        case StringType.GibberishLetters:
            return gibberishLetters(gibberishLength);
        case StringType.GibberishNumbers:
            return gibberishNumbers(gibberishLength);
        case StringType.FirstName:
            return randomOption(names_json_1.default);
        case StringType.LastName:
            return randomOption(lasts_json_1.default);
        case StringType.City:
            return randomOption(cities_json_1.default);
        case StringType.Country:
            return randomOption(countries_json_1.default);
        case StringType.Email:
            return `${randomOption(names_json_1.default).toLowerCase()}@${randomOption(countries_json_1.default).toLowerCase()}.com`;
        case StringType.USState:
            return randomOption(us_states_json_1.default);
        case StringType.PhoneNumber:
            return `${randomOption(phone_codes_json_1.default)}-${gibberishNumbers(3)}-${gibberishNumbers(4)}`;
        default:
            return gibberish(gibberishLength);
    }
}
function number(min = 0, max = 1) {
    return Math.random() * (max - min) + min;
}
exports.default = {
    string,
    number,
    StringType
};
//# sourceMappingURL=index.js.map